package cn.sikey.hmd.convert;

import cn.sikey.hmd.api.hmd.vo.qr.RemainingExpireTimeRespVO;
import cn.sikey.hmd.controller.app.qr.vo.DeviceQrcodeReqVO;

import cn.sikey.hmd.dal.dataobject.DeviceQrcodeDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

@Mapper
public interface QrCodeConvert {

    QrCodeConvert INSTANCE = Mappers.getMapper(QrCodeConvert.class);

    DeviceQrcodeReqVO convertDeviceQrcodeReqVO(DeviceQrcodeDO deviceQrcodeDO);

    RemainingExpireTimeRespVO convertRemainingTimesExpireTimeVO(DeviceQrcodeDO deviceQrcodeDO);
}
